# Fungible token action

The NFT action stream provides updates about standard fungible toekn actions like `mint`, `burn`, or `transfer` happening on the network. CSPR.cloud keeps track of fungible tokens compatible with the [CEP-18](https://github.com/casper-ecosystem/cep18) Casper Network standard.

```
GET /ft-token-actions
```

## Optional properties

None

## Query params

| Property                | Type     | Description                                     |
| ----------------------- | -------- | ----------------------------------------------- |
| `contract_package_hash` | `string` | Comma-separated list of contract package hashes |
| `owner_hash`            | `string` | Comma-separated list of contract hashes         |

## Events

| Event     | Description                                                       |
| --------- | ----------------------------------------------------------------- |
| `created` | Notifies about new fungible token action happening on the network |

## Response

[`WebSocketMessage`](https://docs.cspr.cloud/1.1.x/reference#format)[`<FTTokenAction>`](https://docs.cspr.cloud/1.1.x/rest-api/fungible-token-action#properties)

## Example

```bash
wscat -c 'wss://streaming.testnet.cspr.cloud/ft-token-actions?contract_package_hash=570fccf5c7f86e9041bee2692a6b145f22bced6e4aac751124675e08814296ff' \
  -H 'authorization: 55f79117-fc4d-4d60-9956-65423f39a06a'
```

```json
{
  "data": {
    "deploy_hash": "8aeb6ac06715e665ec1b5de73ca4738bc8a7418fde72455d711184c4b34112e2",
    "contract_package_hash": "570fccf5c7f86e9041bee2692a6b145f22bced6e4aac751124675e08814296ff",
    "transform_idx": -1,
    "from_type": 0,
    "from_hash": "dbaf573a6093ed8eedf21e87d424bd215ce99fa2af7a2b4148db8c1505ddc4ed",
    "to_type": 1,
    "to_hash": "39180a492ff3f0998911287074175a8868a8c70044721c1fd133483ded1a46b4",
    "ft_action_type_id": 2,
    "amount": "100000000000000",
    "timestamp": "2023-04-26T07:49:45.499Z"
  },
  "action": "created",
  "extra": null,
  "timestamp": "2024-02-15T10:58:43.070659995Z"
}
```
